Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.jca.security.cert
Class Certificate

    java.lang.Object
      com.mindbright.jca.security.cert.Certificate

Direct Known Subclasses:
  X509Certificate

public abstract class Certificate
extends java.lang.Object

Constructor Summary
`protected` | `Certificate(java.lang.String type)`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`abstract byte[]` | `getEncoded()`
`abstract PublicKey` | `getPublicKey()`
`java.lang.String` | `getType()`
`int` | `hashCode()`
`abstract java.lang.String` | `toString()`
`abstract void` | `verify(PublicKey key)`
`abstract void` | `verify(PublicKey key, java.lang.String sigProvider)`
`protected java.lang.Object` | `writeReplace()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Certificate

    protected Certificate(java.lang.String type)

Method Detail

### getType

    public final java.lang.String getType()

### equals

    public boolean equals(java.lang.Object other)

### hashCode

    public int hashCode()

### getEncoded

    public abstract byte[] getEncoded()
                               throws CertificateEncodingException

  Throws:
    `CertificateEncodingException`

### verify

    public abstract void verify(PublicKey key)
                         throws CertificateException,
                                NoSuchAlgorithmException,
                                InvalidKeyException,
                                NoSuchProviderException,
                                SignatureException

  Throws:
    `CertificateException`
    `NoSuchAlgorithmException`
    `InvalidKeyException`
    `NoSuchProviderException`
    `SignatureException`

### verify

    public abstract void verify(PublicKey key,
                                java.lang.String sigProvider)
                         throws CertificateException,
                                NoSuchAlgorithmException,
                                InvalidKeyException,
                                NoSuchProviderException,
                                SignatureException

  Throws:
    `CertificateException`
    `NoSuchAlgorithmException`
    `InvalidKeyException`
    `NoSuchProviderException`
    `SignatureException`

### toString

    public abstract java.lang.String toString()

### getPublicKey

    public abstract PublicKey getPublicKey()

### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD